Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine
Class FlowExecutionExceptionHandlerSet

    java.lang.Object
      org.springframework.webflow.engine.FlowExecutionExceptionHandlerSet

    public class FlowExecutionExceptionHandlerSet

extends java.lang.Object

A typed set of state exception handlers, mainly for use internally by artifacts that can apply state exception handling logic.

Author:
  Keith Donald
See Also:
  `FlowExecutionExceptionHandler`, `Flow.getExceptionHandlerSet()`, `State.getExceptionHandlerSet()`

Constructor Summary
`FlowExecutionExceptionHandlerSet()`

Method Summary
`boolean` | `add(FlowExecutionExceptionHandler exceptionHandler)` Add a state exception handler to this set.
`boolean` | `addAll(FlowExecutionExceptionHandler[] exceptionHandlers)` Add a collection of state exception handler instances to this set.
`boolean` | `contains(FlowExecutionExceptionHandler exceptionHandler)` Tests if this state exception handler is in this set.
`boolean` | `handleException(FlowExecutionException exception, RequestControlContext context)` Handle an exception that occurred during the context of the current flow execution request.
`boolean` | `remove(FlowExecutionExceptionHandler exceptionHandler)` Remove the exception handler instance from this set.
`int` | `size()` Returns the size of this state exception handler set.
`FlowExecutionExceptionHandler[]` | `toArray()` Convert this list to a typed state exception handler array.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlowExecutionExceptionHandlerSet

    public FlowExecutionExceptionHandlerSet()

Method Detail

### add

    public boolean add(FlowExecutionExceptionHandler exceptionHandler)

  Add a state exception handler to this set.

  Parameters:
    `exceptionHandler` - the exception handler to add
  Returns:
    true if this set's contents changed as a result of the add operation

### addAll

    public boolean addAll(FlowExecutionExceptionHandler[] exceptionHandlers)

  Add a collection of state exception handler instances to this set.

  Parameters:
    `exceptionHandlers` - the exception handlers to add
  Returns:
    true if this set's contents changed as a result of the add operation

### contains

    public boolean contains(FlowExecutionExceptionHandler exceptionHandler)

  Tests if this state exception handler is in this set.

  Parameters:
    `exceptionHandler` - the exception handler
  Returns:
    true if the state exception handler is contained in this set, false otherwise

### remove

    public boolean remove(FlowExecutionExceptionHandler exceptionHandler)

  Remove the exception handler instance from this set.

  Parameters:
    `exceptionHandler` - the exception handler to add
  Returns:
    true if this set's contents changed as a result of the remove operation

### size

    public int size()

  Returns the size of this state exception handler set.

  Returns:
    the exception handler set size

### toArray

    public FlowExecutionExceptionHandler[] toArray()

  Convert this list to a typed state exception handler array.

  Returns:
    the exception handler list, as a typed array

### handleException

    public boolean handleException(FlowExecutionException exception,
                                   RequestControlContext context)

  Handle an exception that occurred during the context of the current flow execution request.

  This implementation iterates over the ordered set of exception handler objects, delegating to each handler in the set until one handles the exception that occurred.

  Parameters:
    `exception` - the exception that occurred
    `context` - the flow execution control context
  Returns:
    true if the exception was handled

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD